%define __libtoolize    /bin/true

%define lib_name_orig %mklibname kst
%define lib_major 1
%define lib_name %mklibname kst %lib_major
%define develname %mklibname -d kst

%define lib_name_orig_old %mklibname kst
%define lib_major_old 0
%define lib_name_old %lib_name_orig_old%lib_major_old

Name:           kst
Summary:        A really cool plotting and data viewing program
Version:        1.7.0
Release:        %mkrel 1
Source:         ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/scientific/%{name}-%version.tar.gz
Patch0:		kst-1.7.0-fix-enable-final.patch
URL:            http://kst.kde.org
Group:		Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv2+
BuildRequires:	kdelibs-devel
BuildRequires:	gsl-devel
BuildRequires:	cfitsio-devel
BuildRequires:	libxml2-utils
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
BuildRequires:	netcdf-devel >= 3.6.1
Requires:       kdebase >= 3.0.2
Requires:	%lib_name = %version-%release
	
%description
A really cool plotting and data viewing program.

%package -n %lib_name
Group:		Development/KDE and Qt
Summary:	Librairies files for Kst
Conflicts:	%lib_name_old <= 0.97-2mdk

%description -n %lib_name
Librairies file for Kst

%package -n %develname
Group:		Development/KDE and Qt
Summary:	Header files for developing koffice applications
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{mklibname -d kst 0}
Obsoletes:      %{mklibname -d kst 1}

%description -n %develname
Header files needed for developing kst applications.


%prep
%setup -q -n%name-%version
%patch0 -p0

%build
make -f admin/Makefile.common
%configure_kde3 \
	--with-extra-includes=%{_includedir}/cfitsio:%{_includedir}/netcdf-3 \
	--with-extra-libs=%{_libdir}:%{_libdir}/netcdf-3 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%_kde3_datadir/applications/kde
desktop-file-install --vendor='' --delete-original \
	--dir=%buildroot%_kde3_datadir/applications/kde \
	--add-category='Qt;KDE;DataVisualization;Science' \
	--add-only-show-in='KDE' \
	%buildroot%_kde3_datadir/applnk/Graphics/kst.desktop

rm -f %buildroot%_kde3_datadir/applications/kst.desktop

%find_lang %name %name kstplugineditor --with-html

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %mdkversion < 200900
%{update_menus}
%update_icon_cache hicolor
%endif
%update_icon_cache locolor

%postun
%if %mdkversion < 200900
%{clean_menus}
%clean_icon_cache hicolor
%endif
%clean_icon_cache locolor

%if %mdkversion < 200900
%post -n %lib_name -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %lib_name -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %develname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %develname -p /sbin/ldconfig
%endif

%files -n %lib_name
%defattr(-,root,root)
%_kde3_libdir/libkst.so.*
%_kde3_libdir/libkstmath.so.*
%_kde3_libdir/libkstmath.la

%_kde3_libdir/libkstapp.la
%_kde3_libdir/libkstapp.so.*

%_kde3_libdir/libkstextdate.so.*
%_kde3_libdir/libkstwidgets.so.*
%_kde3_libdir/libkstextdate.la
%_kde3_libdir/libkstwidgets.la

%files -n %develname
%defattr(-,root,root)
%_kde3_includedir/*.h
%_kde3_libdir/libkst.so
%_kde3_libdir/libkst.la
%_kde3_libdir/libkstmath.so
%_kde3_libdir/libkstapp.so
%_kde3_libdir/libkstextdate.so
%_kde3_libdir/libkstwidgets.so

%files -f %name.lang
%defattr(-,root,root,0755)
%_kde3_bindir/*
%_kde3_datadir/applications/kde/%name.desktop
%_kde3_datadir/mimelnk/application/x-kst.desktop
%_kde3_datadir/services/kst
%_kde3_datadir/servicetypes/kst
%_kde3_datadir/apps/%name
%_kde3_datadir/apps/kconf_update/*
%_mandir/man1/*
%_kde3_libdir/kde3/*
%_kde3_datadir/config/colors/*
%{_kde3_iconsdir}/*/*/*/*


%changelog
* Wed Jul 09 2008 Funda Wang <fundawang@mandriva.org> 1.7.0-1mdv2009.0
+ Revision: 232897
- remove duplicated desktop file
- fix desktop file install
- fix building when enable final
- New version 1.7.0
- New version 1.6.0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Thu Jan 31 2008 Funda Wang <fundawang@mandriva.org> 1.5.0-1mdv2008.1
+ Revision: 160779
- clean up file list
- New version 1.5.0

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 1.4.0-4mdv2008.1
+ Revision: 139070
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Funda Wang <fundawang@mandriva.org> 1.4.0-3mdv2008.0
+ Revision: 93474
- Use configure2_5x
- fix bug#34252

* Sun Aug 19 2007 Funda Wang <fundawang@mandriva.org> 1.4.0-2mdv2008.0
+ Revision: 66561
- add fdo categories

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

* Sat Jul 07 2007 Funda Wang <fundawang@mandriva.org> 1.4.0-1mdv2008.0
+ Revision: 49434
- BR libxml2-utils
- disable parrael build
- New version


* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-5mdk
- Rebuild

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-4mdk
- Remove redundant BuildRequires

* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-3mdk
- Fix BuildRequires

* Mon May 08 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2.1-2
- Rebuild to generate category

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-1mdk
- New release 1.2.1

* Thu Feb 16 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2.0-1
- 1.2.0

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.1.1-2mdk
- fix x86_64 build

* Sun Oct 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.1-1mdk
- New release 1.1.1
- Remove patch 1 : unneeded
- %%mkrel
- Make rpmbuildupdate-able

* Sun May 22 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.0-1mdk
- 1.1.0

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-4mdk
- Fix compile under x86_64

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-3mdk
- Fix conflict

* Fri Nov 26 2004 Bchan Milne <bgmilne@linux-mandrake.com> 1.0-2mdk
- remove redundant buildrequires
- buildrequire gsl-devel and cfitsio-devel (and thus get fits support)
- correct lib mjor
-cleanups

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.00-1mdk
- 1.00

* Thu Nov 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99-1mdk
- 0.99

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.97-2mdk
- Rebuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- First package

